PIXZ(1)

NAME
pixz - parallel, indexed xz compressor

SYNOPSIS

pixz [OPTIONS] [INPUT [OUTPUT]]

DESCRIPTION

pixz compresses and decompresses files using multiple processors. If the input looks like a tar(1) archive, it also creates an index of all the files in the archive. This allows the extraction of only a small segment of the tarball, without needing to decompress the entire archive.

OPTIONS

By default, pixz uses standard input and output, unless INPUT and OUTPUT arguments are provided. If pixz is provided with input but no output, it will delete the input once it’s done.

-d
    Decompress, instead of compress.

-t
    Force non-tarball mode. By default, pixz auto-detects tar data, and if found enters tarball mode. When compressing in non-tarball mode, no archive index will be created. When decompressing, fast extraction will not be available.

-l
    List the archive contents. In tarball mode, lists the files in the tarball. In non-tarball mode, lists the blocks of compressed data.

-x PATH
    Extract certain members from an archive, quickly. All members whose path begins with PATH will be extracted.

-i INPUT
    Use INPUT as the input.

-o OUTPUT
    Use OUTPUT as the output.

-#
    Set compression level, from -0 (lowest compression, fastest) to -9 (highest compression, slowest).

-e
    Use "extreme" compression, which is much slower and only yields a marginal decrease in size.

-p CPUS
    Set the number of CPU cores to use. By default pixz will use the number of cores on the system.

-f FRACTION
    Set the size of each compression block, relative to the LZMA dictionary size (default is 2.0). Higher values give better compression ratios, but use more memory and make random access less efficient. Values less than 1.0 aren’t very efficient.

-q SIZE
    Set the number of blocks to allocate for the compression queue (default is 1.3 * cores + 2, rounded up). Higher values give better throughput, up to a point, but use more memory. Values less than the number of cores will make some cores sit idle.

-h
    Show pixz’s online help.

EXAMPLES

pixz < myfile > myfile.xz
    Compress a file with pixz.

pixz myfile
    Compress to myfile.pxz, removing the original.

tar -Ipixz -cf output.tpxz directory
    Make tar use pixz for compression.

pixz -x path/to/file < input.tpxz | tar x
    Extract one file from an archive, quickly.

AUTHOR

pixz is written by Dave Vasilevsky.

RESOURCES

The pixz homepage: https://github.com/vasi/pixz/

Source downloads: http://sourceforge.net/projects/pixz/files/

COPYRIGHT

Copyright © 2009-2010 Dave Vasilevsky. Use of this software is granted under the FreeBSD License.

SEE ALSO

xz(1), tar(1)